@use 'partials/classes/standard-hover';
@use 'partials/variables/hover';
@use 'partials/variables/card';
@use 'partials/variables/ratio';


.relative {
  position: relative;
  top: 0;
  left: 0;
  height: 100%;
}

.peek-img {
  object-fit: cover;
  width: ratio.$percent-100;
  max-height: ratio.$percent-100;
  border-top-left-radius: card.$peek-img-border-radius;
  border-top-right-radius: card.$peek-img-border-radius;
}

.peek-img.fallback {
  object-fit: cover;
}

.peek-img.hover {
  position: absolute;
  left: 0;
  transition: opacity hover.$hover-transition-time;
}

.peek-img.invisible {
  opacity: 0;
}
